@echo off
setlocal

title Requester window

REM  (c) Copyright IBM Corp. 2010 All Rights Reserved.

REM Get the absolute path of the sample directory
set SAMPLE_DIR=%~dp0

set classpath=%MQ_JAVA_LIB_PATH%\com.ibm.mqjms.jar;%SAMPLE_DIR%\sampleJMSApp.jar
set path=%path%;%MQ_JRE_PATH%\bin

java -Djavax.net.ssl.keyStore=jmsKeyStore.jks -Djavax.net.ssl.keyStorePassword=passw0rd -Djavax.net.ssl.trustStore=jmsTrustStore.jks -Djavax.net.ssl.trustStorePassword=passw0rd com.ibm.scenario.wmq.jms.SimpleRequestor

echo --------------------------------------------------------
REM Observe the requester messages in this window
REM -----
echo In this window, observe the messages sent through WebSphere MQ:
echo - The request message sent
echo - The reply message received
echo -----
echo When ready, press any key to close this window
pause
exit

endlocal